--- title: "PutContainer" slug: "storage-archivestorage-putcontainer-subaccount" tags: ["Archive Storage"] updated: 2026-09-17T10:12:27Z published: 2026-09-17T10:12:27Z canonical: "api.ncloud-docs.com/storage-archivestorage-putcontainer-subaccount" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # PutContainer Available in Classic and VPC Create a new container (bucket). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /{containerName} | ### Request headers The following describes the headers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `x-ncp-apigw-timestamp` | String | Required | Timestamp value - It indicates the elapsed time in milliseconds since January 1, 1970 00:00:00 UTC. - Request is considered invalid if the timestamp differs from the current time by more than 5 minutes. | | `x-ncp-iam-access-key` | String | Required | API key issued by NAVER Cloud Platform or access key issued by Sub Account | | `x-ncp-apigw-signature-v2` | String | Required | Signature used to encrypt the body of the above example with the secret key that maps with the access key ID - Use the HMAC-SHA256 encryption algorithm. | | `x-ncp-region_code` | String | Required | Region code of the container - e.g., Korea: `KR` \| Singapore: `SGN` | ### Request path parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `containerName` | String | Required | Name of the container (bucket) to create | ### Request example The request example is as follows: ``` curl -X PUT "https://archive-storage-external-api.apigw.ntruss.com/{containerName}" -H "accept: application/json" -H "x-ncp-region-code: {regionCode}" -H "x-ncp-iam-access-key: {AccessKey} " -H "x-ncp-apigw-timestamp: {current timestamp}" -H "x-ncp-apigw-signature-v2: {generated signature}" ``` ## Response This section describes the response format. ### Response headers The following describes the headers. | Field | Type | Required | Description | | --- | --- | --- | --- | | `Server` | String | - | Response server | | `Date` | String | - | Response time of the request (UTC) | | `Content-Length` | String | - | Length of the response result (bytes) | | `Connection` | String | - | TCP connection status between client and server | | `X-Trans-Id` | String | - | Transaction ID of the request | | `X-Openstack-Request-Id` | String | - | Transaction ID of the request - Identical to `X-Trans-Id` | | `Referrer-Policy` | String | - | HTTP Referrer header handling method | | `x-ncp-apigw-response-origin` | String | - | Original source of the response | | `x-ncp-trace-id` | String | - | ID for transaction tracking | ### Response example The response example is as follows: ``` HTTP/1.1 201 CREATED Server: nginx Date: Tue, 16 Apr 2024 02:39:52 GMT Content-Length: 0 Connection: keep-alive X-Openstack-Request-Id: txf770951820a44a91bc450-00661de4f8 X-Trans-Id: txf770951820a44a91bc450-00661de4f8 Referrer-Policy: unsafe-url x-ncp-trace-id: 6cd9l6lj66d356cchgc4rjcc1o x-ncp-apigw-response-origin: ENDPOINT ```